Bug 483251 - setup package doesn't create /etc/shadow
setup package doesn't create /etc/shadow
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: setup (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraServerTracker
  Show dependency treegraph
 
Reported: 2009-01-30 09:39 EST by Daniel Mach
Modified: 2009-02-26 07:40 EST (History)
3 users (show)

See Also:
Fixed In Version: setup-2.8.1-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-26 07:40:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Daniel Mach 2009-01-30 09:39:34 EST
/etc/shadow is created by anaconda during installation.

When an installation is done without anaconda (yum installation to chroot), this file is not created.

Can you create /etc/shadow during the build process and include it as %config(noreplace)?

You can use pwconv (shadow-utils) for that.
Comment 1 Ondrej Vasik 2009-02-02 06:26:11 EST
Adding pvrabec to CC ... additionally - what about /etc/gshadow?
Comment 2 Ondrej Vasik 2009-02-26 07:40:04 EST
/etc/shadow and /etc/gshadow now generated at build time - built as setup-2.8.1-1.fc11, closing RAWHIDE

Note You need to log in before you can comment on or make changes to this bug.